Package es.imim.DISGENET.internal.enrichment

# Class ShowEnrichmentPanelTaskFactory

java.lang.Object
org.cytoscape.work.AbstractTaskFactory
es.imim.DISGENET.internal.enrichment.ShowEnrichmentPanelTaskFactory

All Implemented Interfaces:
  `org.cytoscape.work.TaskFactory`

public class ShowEnrichmentPanelTaskFactory extends org.cytoscape.work.AbstractTaskFactory

## Constructor Summary

Constructors
Constructor
Description
`ShowEnrichmentPanelTaskFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.cytoscape.work.TaskIterator`
`createTaskIterator()`
`org.cytoscape.work.TaskIterator`
`createTaskIterator(boolean show, boolean noSignificant)`
`boolean`
`isReady()`
`void`
`reregister()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShowEnrichmentPanelTaskFactory

public ShowEnrichmentPanelTaskFactory()

## Method Details

### createTaskIterator

public org.cytoscape.work.TaskIterator createTaskIterator()

### createTaskIterator

public org.cytoscape.work.TaskIterator createTaskIterator(boolean show, boolean noSignificant)

### reregister

public void reregister()

### isReady

public boolean isReady()

Specified by:
  `isReady` in interface `org.cytoscape.work.TaskFactory`
Overrides:
  `isReady` in class `org.cytoscape.work.AbstractTaskFactory`